Package: org.codehaus.groovy.grails.web.pages.discovery

## [Java] Class PluginViewPathInfo

- org.codehaus.groovy.grails.web.pages.discovery.DefaultGroovyPageLocator.PluginViewPathInfo

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `basePath` |
    `java.lang.String` | `path` |
    `java.lang.String` | `pluginName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGroovyPageLocator.PluginViewPathInfo (java.lang.String uri)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public java.lang.String basePath

    - #### public java.lang.String path

    - #### public java.lang.String pluginName

  - ### Constructor Detail

    - #### public DefaultGroovyPageLocator.PluginViewPathInfo(java.lang.String uri)